Summary: Displays who is logged in to local network machines.
Name: rwho
Version: 0.16
Release: 2
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel/netkit-rwho-%{version}.tar.gz
Source1: rwhod.init
Patch0: netkit-rwho-0.15-alpha.patch
Requires: /sbin/chkconfig
Buildroot: /var/tmp/%{name}-root

%description
The rwho command displays output similar to the output of the who
command (it shows who is logged in) for all machines on the local
network running the rwho daemon.

Install the rwho command if you need to keep track of the users who
are logged in to your local network.

%prep
%setup -q -n netkit-rwho-%{version}
%patch0 -p1 -b .alpha

%build
sh configure
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,man/man1,man/man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/var/spool/rwho

make INSTALLROOT=$RPM_BUILD_ROOT install
make INSTALLROOT=$RPM_BUILD_ROOT install -C ruptime

install -m 755 $RPM_SOURCE_DIR/rwhod.init $RPM_BUILD_ROOT/etc/rc.d/init.d/rwhod

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rwhod

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del rwhod
fi

%files
%defattr(-,root,root)
/usr/bin/ruptime
/usr/man/man1/ruptime.1*
/usr/bin/rwho
/usr/man/man1/rwho.1*
/usr/sbin/rwhod
/usr/man/man8/rwhod.8*
/var/spool/rwho
%config /etc/rc.d/init.d/rwhod

%changelog
* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- postun should have been preun.

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- fix unaligned trap on alpha.
- update to 0.15.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- add ruptime (#2023)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added /var/spool/rwho

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- fixed init script

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- added an init script
- uses chkconfig
- uses %attr tags

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
